Summary: Server for sharing files and printers with Apple Macintosh
Name:    netatalk
Version: 2.2.3
Release: %mkrel 6
Epoch:   4
License: GPLv2+
Group:   System/Servers
Source0: http://download.sourceforge.net/netatalk/netatalk-%{version}.tar.bz2
Source2: netatalk.pam-system-auth
Patch0:  netatalk-2.2.3-db5.patch
Patch1:  netatalk-2.0.2-uams_no_pie.patch
Patch2:  netatalk-2.0.4-extern_ucreator.patch
Patch3:  netatalk-2.2.0-format-string-errors.patch
Patch4:  netatalk-2.2.3-automake-1.13.patch

Url:     http://netatalk.sourceforge.net/
Requires: pam
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
# BuildRequires: cracklib-devel openssl-devel pam quota-devel libtool automake
BuildRequires: cracklib-devel openssl-devel pam libtool automake
BuildRequires: autoconf db-devel pam-devel tcp_wrappers-devel libgcrypt-devel
BuildRequires: avahi-core-devel libacl-devel openldap-devel
BuildRequires: krb-devel

%description
Netatalk is a freely-available Open Source AFP file server. It also provides a
kernel level implementation of the AppleTalk Protocol Suite. A *NIX/*BSD system
running Netatalk is capable of serving many Macintosh clients simultaneously
as an AppleShare file server (AFP), AppleTalk router, *NIX/*BSD print server,
and for accessing AppleTalk printers via Printer Access Protocol (PAP).
Included are a number of minor printing and debugging utilities.

%package devel
Summary: Headers for Appletalk development
Group: System/Libraries

%description devel
This package contains the header files for building Appletalk networking
programs.

%prep
%setup -q
%patch0 -p0
%patch1  -p1 -b .uams_no_pie
%patch2  -p1 -b .extern_ucreator
# %%patch3  -p0 -b .sprintf
%patch4 -p1 -b .automake-1_13

ln -s ./NEWS ChangeLog

%build
touch AUTHORS
libtoolize --force --copy --install
aclocal -I macros
automake --add-missing --copy --force
autoconf
autoheader
export CFLAGS="$RPM_OPT_FLAGS"
%ifnarch x86_64
# XXX : enable for x86_64 when glibc bug 149284 is fixed!
export CFLAGS="$CFLAGS -fPIE"
export LDFLAGS="%ldflags -pie -Wl,-z,relro,-z,now,-z,noexecstack,-z,nodlopen"
%endif
%ifarch ppc ppc64 s390 s390x
export CFLAGS="$CFLAGS -fsigned-char"
%endif

%configure2_5x \
    --with-pkgconfdir=/etc/netatalk/ \
    --with-cracklib \
        --with-pam \
    --with-shadow \
    --with-uams-path=%{_libdir}/atalk \
    --enable-shared \
        --enable-krbV-uam \
        --enable-overwrite \
        --with-gnu-ld \
     --enable-redhat-systemd \
        --with-libgcrypt

# Grrrr. Fix broken libtool/autoFOO Makefiles.
if [ "%{_lib}" != lib ]; then
    find . -name Makefile | xargs perl -pi \
    -e 's,-L/usr/lib,-L%{_libdir},g'
    find . -name Makefile | xargs perl -pi \
    -e 's,-L/lib,-L/%{_lib},g'
fi

make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
 
# install example config files in doc
mkdir config.example
cp -fp config/afpd.conf config.example
cp -fp config/AppleVolumes.system config.example
cp -fp config/AppleVolumes.default config.example
cp -fp config/atalkd.conf config.example
cp -fp config/atalkd.conf $RPM_BUILD_ROOT%{_sysconfdir}/netatalk
cp -fp config/netatalk.conf config.example
cp -fp config/papd.conf config.example
cp -fp config/papd.conf $RPM_BUILD_ROOT%{_sysconfdir}/netatalk
mkdir -p $RPM_BUILD_ROOT/usr/share/netatalk
cp -fp etc/psf/pagecount.ps $RPM_BUILD_ROOT/usr/share/netatalk

cp -fp %{SOURCE2} config.example
# XXX bad hack until this file is updated in glibc-headers:
rm -f $RPM_BUILD_ROOT/usr/include/netatalk/at.h

# Clean up .a and .la files
find $RPM_BUILD_ROOT -name \*.a -exec rm {} \;
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc COPYRIGHT COPYING ChangeLog VERSION NEWS 
%doc doc
%doc config.example
%dir %{_sysconfdir}/netatalk
# %%attr(755,root,root) %{_initrddir}/netatalk
%config(noreplace) %{_sysconfdir}/netatalk/AppleVolumes.default
%config(noreplace) %{_sysconfdir}/netatalk/AppleVolumes.system
%config(noreplace) %{_sysconfdir}/netatalk/netatalk.conf
%config(noreplace) %{_sysconfdir}/netatalk/afpd.conf
%config(noreplace) %{_sysconfdir}/netatalk/atalkd.conf
%config(noreplace) %{_sysconfdir}/netatalk/papd.conf
%config(noreplace) %{_sysconfdir}/netatalk/afp_ldap.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%{_sbindir}/*
%{_bindir}/*
%exclude %{_bindir}/netatalk-config
%{_mandir}/man*/*
%exclude %{_mandir}/man*/netatalk-config*
%{_datadir}/netatalk
%dir %{_libdir}/atalk
%{_libdir}/atalk/*.so
%{_libexecdir}/netatalk/netatalk.sh
/lib/systemd/system/netatalk.service

%files devel
%doc COPYRIGHT COPYING
%dir %{_includedir}/atalk
%dir %{_includedir}/netatalk
%attr(0644,root,root) %{_includedir}/atalk/*
%attr(0644,root,root) %{_includedir}/netatalk/*
%{_datadir}/aclocal/netatalk.m4
%{_bindir}/netatalk-config
%{_mandir}/man*/netatalk-config.1*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4:2.2.3-6.mga3
+ Revision: 360949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 4:2.2.3-5.mga3
+ Revision: 339685
- patch4: fix build with automake 1.13

* Sun Dec 16 2012 blino <blino> 4:2.2.3-4.mga3
+ Revision: 331340
- use rpm-helper service macros instead of hardcoded chkconfig (post fails since the service is now handled by systemd)

* Tue Jul 31 2012 fwang <fwang> 4:2.2.3-3.mga3
+ Revision: 276338
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 4:2.2.3-2.mga3
+ Revision: 274728
- update file list
- recognize db > 5.1

* Tue May 29 2012 shlomif <shlomif> 4:2.2.3-1.mga3
+ Revision: 248850
- New version: 2.2.3

* Sat Apr 28 2012 tmb <tmb> 4:2.2.1-2.mga2
+ Revision: 233810
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Dec 09 2011 shlomif <shlomif> 4:2.2.1-1.mga2
+ Revision: 179580
- New version - 2.2.1

* Mon Dec 05 2011 shlomif <shlomif> 4:2.2.0-3.mga2
+ Revision: 177031
- Switch the -devel 'Group:' to a Mageia one
- Add a BuildRequires for krb-devel (it was missing)
- Bump the release
- Fix long lines, wrong group and other rpmlint problems
- Convert all tabs in the .spec to spaces.
- Replaced avahi-devel with avahi-core-devel. Add a sprintf-correction patch.
- imported package netatalk

